commit: 72966c640ce0acf1767a62a2e0031dd079ddb44d
Author: Stephen L Arnold <nerdboy <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 10 18:32:16 2016 +0000
Commit: Steve Arnold <nerdboy <AT> gentoo <DOT> org>
CommitDate: Wed Feb 10 18:32:16 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72966c64
dev-util/cyclo: update to current release (2.1.0)
This version also adds a simple test and example usage.
Package-Manager: portage-2.2.26
dev-util/cyclo/Manifest | 2 +-
.../{cyclo-2.1_pre1.ebuild => cyclo-2.1.0.ebuild} | 23 ++++++++++++----------
2 files changed, 14 insertions(+), 11 deletions(-)
diff --git a/dev-util/cyclo/Manifest b/dev-util/cyclo/Manifest
index d9986c9..e8b0c54 100644
--- a/dev-util/cyclo/Manifest
+++ b/dev-util/cyclo/Manifest
@@ -1 +1 @@
-DIST cyclo-2.1_pre1.tar.gz 30866 SHA256
56c2c2ab2e684eb8d4c196835a2343b13ca3c26e1f1ca63ffd8c5bb2f485ad89 SHA512
1b28c54b84d28ed9f72f57e8db1da74cd29be92947418bb3e9452afae1fc863ffb1110face3291f1abb34d1dcaed84d018bf9122ae25b4b67017e4990bb080b6
WHIRLPOOL
dcbbd1117a9f5ecdafbda40814ce47053b9653de251fd8384a4900765537fe61cd406b1eddfc890e79adce32da30f799c5a736b2ca246cab5505eac060f5e518
+DIST cyclo-2.1.0.tar.gz 27120 SHA256
b8753c149e298d3683add4aec834fb4a4b748636b7bfd9a79a2548e6b81e2045 SHA512
19cf4116e55ba3dff6e49536fed7e5a8da4cc2b691874b5356e67763652785b3f349cb309629e9aca66be15f1c4632ece8bcd5cc3b69373a5a7923eab8058382
WHIRLPOOL
c805174fffb6d1cc9a5d9d6c6f7a460699a48347ce5ac5eae0f55cbc3b55b5305624f8e29ecd9f9889242557bd362bfcb99feda8661fd26e13250be590d11132
diff --git a/dev-util/cyclo/cyclo-2.1_pre1.ebuild
b/dev-util/cyclo/cyclo-2.1.0.ebuild
similarity index 58%
rename from dev-util/cyclo/cyclo-2.1_pre1.ebuild
rename to dev-util/cyclo/cyclo-2.1.0.ebuild
index 1281a4f..4f7bcdc 100644
--- a/dev-util/cyclo/cyclo-2.1_pre1.ebuild
+++ b/dev-util/cyclo/cyclo-2.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -13,7 +13,7 @@ if [[ ${PV} = 9999* ]]; then
EGIT_REPO_URI="https://github.com/sarnold/cyclo.git"
inherit git-r3
else
- SRC_URI="https://github.com/sarnold/cyclo/archive/2.1_pre1.tar.gz ->
${P}.tar.gz"
+ SRC_URI="https://github.com/sarnold/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
fi
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
@@ -24,23 +24,26 @@ IUSE="debug"
DEPEND="sys-devel/flex"
src_compile() {
- local my_flags="CC=$(tc-getCC) CCPLUS=$(tc-getCXX)"
+ local my_opts
+ my_opts="CC=$(tc-getCC) CXX=$(tc-getCXX)"
if ! use debug ; then
- DBG="" make ${my_flags} all || die "make failed"
+ DBG="" emake ${my_opts} || die "make failed"
else
export STRIP_MASK="*/bin/*"
if [ -n "${DEBUG}" ] ; then
- DBG="${DEBUG}" make ${my_flags} all || die "make debug
failed"
+ DBG="${DEBUG}" emake ${my_opts} \
+ || die "make debug failed"
else
- make ${my_flags} all || die "make debug failed"
+ emake ${my_opts} || die "make debug failed"
fi
fi
}
-src_install() {
- dobin cyclo mcstrip
+src_test() {
+ make -f Makefile.test test
+}
- doman cyclo.0 mcstrip.1 cyclo.1
- dodoc README.rst mccabe.example || die "dodoc failed"
+src_install() {
+ emake PREFIX=/usr DESTDIR="${ED}" install
}